Bug 18134 - Batch authority record modification Preview MARC button needs updating
Summary: Batch authority record modification Preview MARC button needs updating
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-16 22:10 UTC by Aleisha Amohia
Modified: 2017-04-02 17:39 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18134: Updating Preview MARC button in Batch Authority Record Mod (2.68 KB, patch)
2017-02-16 22:14 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18134: Updating Preview MARC button in Batch Authority Record Mod (2.74 KB, patch)
2017-03-20 11:07 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 18134: Updating Preview MARC button in Batch Authority Record Mod (2.79 KB, patch)
2017-03-20 11:40 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-02-16 22:10:26 UTC
The Batch record modification Preview MARC for biblios has been updated, but not for authorities
Comment 1 Aleisha Amohia 2017-02-16 22:14:46 UTC
Created attachment 60369 [details] [review]
Bug 18134: Updating Preview MARC button in Batch Authority Record Mod

This patch ensures the Preview MARC button when batch modifying
authority records looks like the Preview MARC button when batch
modifying biblio records.

To test:
1) Go to Tools -> Batch record modification
2) Leave record type as Biblio, Put in a biblionumber, select a template
and click Continue
3) Notice the 'Show MARC' button
4) Click Cancel and change record type to Authority. Put in auth id,
select template, click Continue
5) Notice ugly 'Preview MARC' link
6) Apply patch and refresh page
7) There should now be a nice 'Show MARC' button like there is for
biblio mod. Confirm it still works as expected.

Sponsored-by: Catalyst IT
Comment 2 sandboxes@biblibre.com 2017-03-20 11:07:10 UTC
Patch tested with a sandbox, by JMBroust <jean-manuel.broust@univ-lyon2.fr>
Comment 3 sandboxes@biblibre.com 2017-03-20 11:07:29 UTC
Created attachment 61263 [details] [review]
Bug 18134: Updating Preview MARC button in Batch Authority Record Mod

This patch ensures the Preview MARC button when batch modifying
authority records looks like the Preview MARC button when batch
modifying biblio records.

To test:
1) Go to Tools -> Batch record modification
2) Leave record type as Biblio, Put in a biblionumber, select a template
and click Continue
3) Notice the 'Show MARC' button
4) Click Cancel and change record type to Authority. Put in auth id,
select template, click Continue
5) Notice ugly 'Preview MARC' link
6) Apply patch and refresh page
7) There should now be a nice 'Show MARC' button like there is for
biblio mod. Confirm it still works as expected.

Sponsored-by: Catalyst IT

Signed-off-by: JMBroust <jean-manuel.broust@univ-lyon2.fr>
Comment 4 Nick Clemens 2017-03-20 11:40:27 UTC
Created attachment 61281 [details] [review]
Bug 18134: Updating Preview MARC button in Batch Authority Record Mod

This patch ensures the Preview MARC button when batch modifying
authority records looks like the Preview MARC button when batch
modifying biblio records.

To test:
1) Go to Tools -> Batch record modification
2) Leave record type as Biblio, Put in a biblionumber, select a template
and click Continue
3) Notice the 'Show MARC' button
4) Click Cancel and change record type to Authority. Put in auth id,
select template, click Continue
5) Notice ugly 'Preview MARC' link
6) Apply patch and refresh page
7) There should now be a nice 'Show MARC' button like there is for
biblio mod. Confirm it still works as expected.

Sponsored-by: Catalyst IT

Signed-off-by: JMBroust <jean-manuel.broust@univ-lyon2.fr>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Kyle M Hall 2017-03-31 14:31:23 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 6 Katrin Fischer 2017-04-02 17:39:47 UTC
This won't get ported back to 16.11.x as it is an enhancement.